# TODO
# - slim, entrance, wdm support as XDM
Summary:	The default startup scripts for the X Window System
Summary(pl.UTF-8):	Domyślne skrypty startowe X Window System
Name:		xinitrc-ng
Version:	1.1
Release:	3
License:	GPL
Group:		X11
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	f369317256368bf00dd07957929d5a63
URL:		http://svn.pld-linux.org/trac/svn/wiki/packages/xinitrc-ng
Requires:	/bin/sh
Requires:	which
Requires:	xorg-app-setxkbmap
Requires:	xorg-app-twm
Requires:	xorg-app-xmodmap
Requires:	xorg-app-xrdb
Conflicts:	lightdm < 1.7.12-4
Provides:	xinitrc >= 3.0
Obsoletes:	xinitrc < 3.0
Obsoletes:	xscripts
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xinitrc-ng package contains the scripts which are used to start a
window manager and apropriate configuration files.

%description -l pl.UTF-8
Pakiet xinitrc-ng zawiera skrypty do uruchomienia zarządcy okien oraz
odpowiednie plik konfiguracyjne.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_sysconfdir}/X11/xinit/Xclients
%attr(755,root,root) %{_sysconfdir}/X11/xinit/xinitrc
%attr(755,root,root) %{_sysconfdir}/X11/xinit/prefdm
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/xinit/Xmodmap
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/xinit/Xresources
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/xinit/xinitdefs
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/desktop
%changelog
* Mon Dec 30 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xinitrc-ng.git;a=log;h=master

* Mon Dec 30 2013 Jan Rękorajski <baggins@pld-linux.org> b51252b
- ignore nodaemon in lightdm instead of partial hack to prefdm
- rel 3

* Thu Sep 05 2013 Elan Ruusamäe <glen@delfi.ee> 917097a
- patch commandline args out for lightdm

* Thu Sep 05 2013 Elan Ruusamäe <glen@delfi.ee> fb92219
- do not pass -nodaemon to lightdm, it has no such commandline option

* Tue May 22 2012 Jakub Bogusz <qboosh@pld-linux.org> e2fc82b
- outdated

* Fri Apr 27 2012 Jan Rękorajski <baggins@pld-linux.org> b6ef84d
- 1.1

* Sun Mar 18 2012 Elan Ruusamäe <glen@pld-linux.org> 14621f7
- more XDM todo

* Thu Mar 15 2012 Jan Rękorajski <baggins@pld-linux.org> 715a036
- up to 1.0
- added prefdm script
- scripts are not configs

* Sun Jan 29 2012 Elan Ruusamäe <glen@pld-linux.org> e743e27
- add URL

* Mon Aug 29 2011 Elan Ruusamäe <glen@pld-linux.org> dd69714
- avoid self obsoletion

* Fri Jul 29 2011 Jan Rękorajski <baggins@pld-linux.org> aa25582
- rel 2
- don't force xft.dpi setting, see http://lists.pld-linux.org/mailman/pipermail/pld-devel-pl/2011-July/153967.html

* Thu Jul 28 2011 Jan Rękorajski <baggins@pld-linux.org> 618e1a5
- applied upstream

* Thu Jul 28 2011 Jan Rękorajski <baggins@pld-linux.org> 4f46fb1
- up to 0.9
- profile patch applied upstream
- updated R

* Wed Feb 23 2011 Jan Rękorajski <baggins@pld-linux.org> 01cd4de
- rel 9
- load /etc/profile on session startup (needed for example if someone
  wants to set up environment via /etc/env.d)

* Mon Feb 01 2010 Elan Ruusamäe <glen@pld-linux.org> 49ee1fe
- R xmodmap; rel 8

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> b818c84
- rel 7

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> fdf6a05
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f9dd797
- converted to UTF-8

* Sat Oct 14 2006 Jakub Bogusz <qboosh@pld-linux.org> da8868c
- sorted Rs too

* Sat Oct 14 2006 Jakub Bogusz <qboosh@pld-linux.org> 6774a23
- unified

* Wed Aug 23 2006 havner <havner@pld-linux.org> eb199fc
- /etc/sysconfig/wmstyle and /usr/share/xsessions only moved to
  filesystem.spec as it already contains xinitrc related dirs
- rel up

